﻿using System;
using CoreGraphics;
using Syncfusion.SfChart.iOS;
using UIKit;

namespace CustomBehavior.iOS
{
    public class ChartTrackballBehaviorExt : SFChartTrackballBehavior
    {
        public ChartTrackballBehaviorExt()
        {
        }

        public override void LongPressWithGestureRecognizer(UIKit.UILongPressGestureRecognizer longPressGestureRecognizer)
        {
           // base.LongPressWithGestureRecognizer(longPressGestureRecognizer);
        }

        public override void TouchesBegan(Foundation.NSSet touches, UIKit.UIEvent evt)
        {
            base.TouchesBegan(touches, evt);

            UITouch touch = touches.AnyObject as UITouch;


            CoreGraphics.CGPoint point = touch.LocationInView(Chart);

            if (point == null) return;

            Show(point);
        }

        public override void TouchesEnded(Foundation.NSSet touches, UIEvent evt)
        {
            base.TouchesEnded(touches, evt);

            Hide();
        }

        public override void TouchesMoved(Foundation.NSSet touches, UIEvent evt)
        {
            base.TouchesMoved(touches, evt);

			UITouch touch = touches.AnyObject as UITouch;


			CoreGraphics.CGPoint point = touch.LocationInView(Chart);

			if (point == null) return;

			Show(point);
        }

        public override void DrawTrackballLabel(SFChartPointInfo pointInfo, CGRect labelRect)
        {
            labelRect.Y = 50;

            base.DrawTrackballLabel(pointInfo, labelRect);
        }
    }
}
